[Top] [All Lists]

Re: tulip NAPI patch that works with 2.4.20-pre9 or so?

To: Ben Greear <greearb@xxxxxxxxxxxxxxx>
Subject: Re: tulip NAPI patch that works with 2.4.20-pre9 or so?
From: jamal <hadi@xxxxxxxxxx>
Date: Mon, 21 Oct 2002 08:49:09 -0400 (EDT)
Cc: Robert Olsson <Robert.Olsson@xxxxxxxxxxx>, "'netdev@xxxxxxxxxxx'" <netdev@xxxxxxxxxxx>
In-reply-to: <3DB3948E.6080907@xxxxxxxxxxxxxxx>
Sender: netdev-bounce@xxxxxxxxxxx
Theres a 2419 patch that should work for you at:

Also pick a small patch on top of this at:

Now if you wanna get adventorous why not pick:
You still need that second patch;
In addition to solve your skb problem pick Roberts latest
recycling patch at:
The driver i pointed to above has skb-recycling built in.


On Sun, 20 Oct 2002, Ben Greear wrote:

> Robert Olsson wrote:
> > Ben Greear writes:
> >  > The latest NAPI tulip patch I could find (tulip-020922.pat)
> >  > will not load.  The problem appears that the tulip_misc.c file
> >  > no longer exists...
> >
> >  :-( I'll look into it.
> It works if you fix up the Makefile to not compile tulip_misc.c
> and if you change tulip.h to not define EXTRA_STATS.
> I'm running it now...initial 5 minutes are a definate improvement
> over the in-kernel, if it will only remain stable :)
> Ben
> --
> Ben Greear <greearb@xxxxxxxxxxxxxxx>       <Ben_Greear AT>
> President of Candela Technologies Inc
> ScryMUD:

<Prev in Thread] Current Thread [Next in Thread>